Bug 1241955 - Switch icfg to use python3
Summary: Switch icfg to use python3
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: icfg
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neil Horman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F23PYTHON3
TreeView+ depends on / blocked
 
Reported: 2015-07-10 13:43 UTC by Miro Hrončok
Modified: 2015-07-26 22:03 UTC (History)
2 users (show)

Fixed In Version: icfg-0.9-9.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-26 22:03:56 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2015-07-10 13:43:41 UTC
According to my formation from [1] support for Python 3 has been added to icfg (please let me know if that's not true). System wide change for Fedora 23 was accepted by FESCo which implies that all packages on Live CD and other install media (including minimal cloud image) must run on Python 3 and not Python 2 [2].

Please change the icfg package so it uses Python 3.

In case you don't have time/resources to do this in time before F23 Alpha freeze [3], I can do it myself, please let me know if that's acceptable.

[1] https://fedoraproject.org/wiki/User:Churchyard/python3
[2] https://fedoraproject.org/wiki/Changes/Python_3_as_Default
[3] https://fedoraproject.org/wiki/Releases/23/Schedule

Comment 1 Miro Hrončok 2015-07-10 22:05:40 UTC
Looking at http://pkgs.fedoraproject.org/cgit/icfg.git/commit/?id=1b2879bf9ad0926cfd734df91e5db9ea4d416b80

Changeling the Require line is not enough, currently, this is the case:

$ repoquery --requires icfg --releasever rawhide  | grep python
/usr/bin/python
python

After the change, it will require both Pythons:

/usr/bin/python
python3

To change the require, you'll have to change the shebang line of /usr/bin/icfg

I would also recommend deleting the manual Requires line, as it is redundant.

Comment 2 Miro Hrončok 2015-07-10 22:05:55 UTC
s/Changeling/Changing/

Comment 3 Miro Hrončok 2015-07-17 09:45:48 UTC
Neil, should I fix this, or will you do it?

Comment 4 Neil Horman 2015-07-17 12:32:03 UTC
Given that the bug is in modified state, I thought it was clear that I had fixed it :)

Comment 5 Miro Hrončok 2015-07-17 13:15:50 UTC
Have you actually read comment #1?

Comment 6 Miro Hrončok 2015-07-17 13:31:18 UTC
icfg now (after you set this bug to modified state) requires both pythons and uses python 2

Comment 7 Miro Hrončok 2015-07-20 08:16:36 UTC
Please don't forget to push this to f23 branch as well.

Comment 8 Miro Hrončok 2015-07-23 08:33:45 UTC
Just posting a friendly reminder. The Alpha freeze is on Tuesday, could you please push this to f23 and build it this week?

Also, please reply if you decide to do something, otherwise it's hard to keep track of what's happening.

Comment 9 Miro Hrončok 2015-07-26 22:03:56 UTC
OK, I've done it, since there has been no activity and the alpha freeze is in 2 days.


Note You need to log in before you can comment on or make changes to this bug.